@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik&display=swap');

body {
  margin: 0;
  font-family: 'Roboto', sans-serif;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

.error fieldset{
    border-color: red !important;
}

.home--geometry1{
    width: 1021px;
    height: auto;
    position: absolute;
    top: -200px;
    left: 900px;
    z-index: 0;
}

.home--introduction{
    display: flex;
    align-items: center;
    margin-top: 130px;
    justify-content: space-evenly;
}

.home--teamImg{
    z-index: 7;
}

.home--introduction h1{
    width: 850px;
    font-family: 'Rubik', sans-serif;
    font-size: 3em;
}

.home--introduction h1 strong{
    background-color: #4ca9d1b1;
    border-radius: 50px;
    padding-left: 10px;
    padding-right: 10px;
}

.home--search{
    width: 60%;
    display: block;
    margin: auto;
    z-index: 10;
    margin-top: 100px;
    box-shadow: 0 4px 12px 0 rgba(24, 24, 24, 0.16);
    border-radius: 16px;
    padding: 32px 48px 32px 48px;
}

.home--search--form{
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.home--search--form .MuiOutlinedInput-root{
    border-radius: 36px;
    width: 400px;
    border: 2px;
}

.home--search--form .MuiOutlinedInput-notchedOutline{
    border-width: 2px;
}

.home--search--form .MuiButton-contained{
    background-color: #164E87;
    border-radius: 36px;
    color: white;
    text-transform: none;
    font-size: 16px;
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    height: 50px;
}

.home--community{
    margin-top: 90px;
}

.home--community h1{
    font-family: 'Rubik', sans-serif;
    text-align: center;
    font-size: 2.5em;
}

.home--community--accroche{
    font-family: 'Rubik', sans-serif;
    text-align: center;
    font-size: 1.4em;
    color: #4B4B4B;
}

.home--community--icons{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-top: 100px;
}

.home--community--icons--hands{
    width: 200px;
    height: auto;
}

.home--community--icons--rocket{
    width: 170px;
    height: auto;
    margin-bottom: 30px;
}

.home--community--icons--conv{
    width: 170px;
    height: auto;
    margin-bottom: 30px;
}

.home--community--icons--boxes img{
    margin-left: 70px;
}

.home--community--icons--boxes p{
    text-align: center;
}

.home--community--icons--title{
    font-size: 1.5em;
    font-family: 'Rubik', sans-serif;
    font-size: 2.5em;
    color: #33332F;
}

.home--community--icons-desc{
    font-size: 18px;
    font-family: 'Rubik', sans-serif;
    color: #4B4B4B;
    margin-bottom: 30px;
}

.home--search--title--mobile{
    display: none;
}

.copyright{
    color: black;
    text-decoration: none;
}

/* --- RESPONSIVE DESKTOP --- */

@media (max-width: 1440px){
    .home--geometry1{
        width: 866px;
        left: 575px;
    }

    .home--introduction{
        padding: 40px;
    }

    .home--search--form .MuiOutlinedInput-root {
        width: 295px;
    }
}

@media(max-width: 1400px){
    .home--geometry1{
       left: 535px;
    }
}

@media(max-width: 1370px){
    .home--geometry1{
        left: 504px;
    }
}

@media(max-width: 1330px){
    .home--geometry1{
        left: 465px;
    }
}

@media (max-width: 1310px){
    .home--geometry1{
        width: 847px;
        left: 463px;
    }
}

@media(max-width: 1270px){
    .home--geometry1{
        left: 424px;
    }

    .home--search--form .MuiOutlinedInput-root{
        width: 256px;
    }
}

@media (max-width: 1205px){
    .home--geometry1{
        left: 358px;
    }
}

@media (max-width: 1170px){
    .home--geometry1{
        left: 324px;
    }

    .home--search--form .MuiOutlinedInput-root{
        width: 241px;
    }
}

@media (max-width: 1140px){
    .home--geometry1{
        left: 306px;
        width: 835px;
    }

    .home--search--form .MuiOutlinedInput-root{
        width: 237px;
    }
}

/* --- RESPONISVE GRAND ECRAN --- */

@media(min-width: 2000px){
    .home--geometry1{
        width: 1170px;
        left: 1387px;
    }
}


/* --- RESPONSIVE MOBILE --- */

@media (max-width: 1100px){
    .home--geometry1{
       display: none;
    }

    .home--introduction{
        flex-direction: column;
        margin-top: 0;
    }

    .home--introduction h1{
        width: 613px;
        font-size: 2em;
    }

    .home--teamImg{
        width: 613px;
        height: auto;
    }

    .home--search--form{
        flex-direction: column;
        height: 200px;
    }

    .home--search--title--mobile{
        display: block;
        text-align: center;
    }

    .home--community--icons--hands{
        width: 162px;
    }

    .home--community--icons--rocket{
        width: 133px;
    }

    .home--community--icons--conv{
        width: 134px;
    }

    .home--community--icons--title{
        font-size: 1.5em;
    }

    .home--community--icons-desc{
        font-size: 16px;
    }

    .home--community h1{
        padding: 10px;
    }
}

@media (max-width: 425px){

    .home--teamImg{
        width: 412px;
    }

    .home--introduction h1{
        font-size: 25px;
        width: 384px;
    }

    .home--introduction{
        padding: 0;
    }

    .home--community--icons--boxes img{
        margin-left: 41px;
    }

    .home--community--icons{
        flex-direction: column;
        gap: 30px;
    }

    .home--community--accroche{
        padding: 4px;
    }
}

@media (max-width: 403px){
    .home--teamImg{
        width: 306px;
    }

    .home--introduction h1{
        width: 298px;
    }

    .home--search--form .MuiOutlinedInput-root{
        width: 257px;
    }
}

@media (min-width: 426px){
    .home--community--icons{
        flex-direction: column;
    }

    .home--introduction h1{
        width: 411px;
    }

    .home--teamImg{
        width: 411px;
    }
}

@media(min-width: 530px){
    .home--introduction h1{
        width: 506px;
    }

    .home--teamImg{
        width: 506px;
    }
}

@media(min-width: 750px){
    .home--introduction h1{
        width: 630px;
    }

    .home--teamImg{
        width: 630px;
    }
}

@media(min-width: 769px){
    .home--community--icons{
        flex-direction: row;
    }
}